# QtConcurrent Namespace Reference

### [com.trolltech.qt.core package]

### Constructor

This class has no public constructors. Calling the constructor function will cause a TypeError.

### Constructor Properties

- prototype: The QtConcurrent prototype object
- UnorderedReduce = 0x1
- OrderedReduce = 0x2
- SequentialReduce = 0x4
- ReduceOption( value )
- ReduceOptions( value1, value2, ... )
- ThrottleThread
- ThreadFinished
- ThreadFunctionResult( value )